#! /usr/bin/env Rscript

library(ggplot2)
library(reshape2)
args <- commandArgs(trailingOnly = TRUE)

png(paste(args[1],".png",sep=""), width=8, height=5, units="in", res=200)
inf_pal <- c("greenyellow", "orange1", "indianred", "gray22")
data_table <- read.table(args[1], header=TRUE, sep = ";")
n <- melt(data_table, id.vars="time", measure.vars=c("healthy","infected","ill","died"),variable.name="state", value.name="count")
g <- ggplot(n, aes(x = time, y = count, fill = state)) + geom_area() +
    scale_fill_manual(values=inf_pal) +
    theme(text = element_text(size=18))
print(g)
